com.hazelcast.mapreduce

## Interface JobProcessInformation

- Deprecated.
  MapReduce is deprecated and will be removed in 4.0. For map aggregations, you can use `Aggregator` on IMap. For general data processing, it is superseded by Hazelcast Jet.

      @Deprecated
      public interface JobProcessInformation

  This interface holds basic information about a running map reduce job, such as the state of the different partitions and the number of currently processed records.
  The number of processed records is not a real time value, it is updated on a regular basis (after 1000 processed elements per node).
  Since:
    3.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobPartitionState[]` | `getPartitionStates()` Deprecated. Returns an array of `JobPartitionState`s holding information about the processing state (`JobPartitionState.State`) and the processing owner of this partition. The index of the `JobPartitionState` inside of the array is the number of the processed partition if the `KeyValueSource` is `PartitionIdAware` or a randomly assigned ID for the different members of the cluster.
    `int` | `getProcessedRecords()` Deprecated. Returns the number of processed records. The number of processed records is not a real time value, it is updated on a regular basis (after 1000 processed elements per node).

- - ### Method Detail

    - #### getPartitionStates

          JobPartitionState[] getPartitionStates()

      Deprecated.
      Returns an array of `JobPartitionState`s holding information about the processing state (`JobPartitionState.State`) and the processing owner of this partition.
      The index of the `JobPartitionState` inside of the array is the number of the processed partition if the `KeyValueSource` is `PartitionIdAware` or a randomly assigned ID for the different members of the cluster.
      Returns:
        partition state array with actual state information

    - #### getProcessedRecords

          int getProcessedRecords()

      Deprecated.
      Returns the number of processed records.
      The number of processed records is not a real time value, it is updated on a regular basis (after 1000 processed elements per node).
      Returns:
        number of processed records

Copyright © 2019. All rights reserved.